Skip to main content
API reference

Spec

Generated HTTP reference for the 2 operations the published OpenAPI document describes under openapi.json.

1 min read
View MarkdownEdit on GitHub

Spec

This page is generated from the published OpenAPI document. It is complete with respect to that document and says nothing about surfaces the document does not describe yet. See what is generated here for what that means.

Base URL: https://api.codespar.dev

Every operation below requires a Bearer token. See Authentication.

GET /openapi.json

This document

Responses

StatusBodyDescription
200objectOK

Example request

curl -X GET https://api.codespar.dev/openapi.json \
  -H "Authorization: Bearer $CODESPAR_API_KEY"

GET /v1/openapi.json

This document, under the /v1 mount

Responses

StatusBodyDescription
200objectOK

Example request

curl -X GET https://api.codespar.dev/v1/openapi.json \
  -H "Authorization: Bearer $CODESPAR_API_KEY"
Spec | CodeSpar